### Function

# Camel debug_get_raw_backtrace

since: 3.30

#### Declaration [src]

    GString*
    camel_debug_get_raw_backtrace (
      void
    )

#### Description [src]

Gets current raw backtrace leading to this function call. This is quicker than camel_debug_get_backtrace(), because it doesn’t demangle the backtrace. To demangle it (replace addresses with actual function calls and eventually line numbers, if available) call camel_debug_demangle_backtrace().

Available since: 3.30

#### Return value

Type: `GString`

Current raw backtrace, or `NULL`, if cannot determine it.

Note: Getting backtraces only works if the library was configured with —enable-backtraces.

See also camel_debug_get_backtrace().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.